import { Component, Input } from "@angular/core";

/**
 * Generated class for the QuotedStatusComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
@Component({
  selector: "quoted-status",
  templateUrl: "quoted-status.html"
})
export class QuotedStatusComponent {
  @Input()
  data: any[];

  constructor() {}

  get hasPhoto() {
    return (
      this.data["entities"]["media"] &&
      this.data["entities"]["media"][0]["type"] == "photo"
    );
  }
}
